package com.cost.functions;
import com.ibm.wbimonitor.xml.expression.udf.XPathFunction;
import com.ibm.wbimonitor.xml.expression.udf.XPathType;
import java.math.BigInteger;
import java.math.BigDecimal;

public class MoreCostFunctions {

	public static final String NAMESPACE = "http://more.costfunctions.com/expression";
	/** Get the cost from an external source **/
	public static
	@XPathFunction(
    		namespaceName = NAMESPACE, 
    		localName = "other4", 
    		description = "calculate other4",
    		isDeterministic = true, 
    		isSelfContained = true,
    		callingConvention=XPathFunction.CallingConvention.JAXB
            )
	BigDecimal other4(BigDecimal n) {
		return new BigDecimal(40);
	}
	
	public static
	@XPathFunction(
    		namespaceName = NAMESPACE, 
    		localName = "cost3",
    		description = "calculate cost3",
    		isDeterministic = true, 
    		isSelfContained = true,
    		callingConvention=XPathFunction.CallingConvention.JAXB
            )
	BigDecimal cost3(BigDecimal n) {
		return new BigDecimal(30);
	}
}